package com.zjsgfa.project.zjsgfa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zjsgfa.project.zjsgfa.mapper.SjJygjgdsjMapper;
import com.zjsgfa.project.zjsgfa.domain.SjJygjgdsj;
import com.zjsgfa.project.zjsgfa.service.ISjJygjgdsjService;

/**
 * 设计-轨道设计Service业务层处理
 * 
 * @author
 * @date 2025-08-14
 */
@Service
public class SjJygjgdsjServiceImpl implements ISjJygjgdsjService 
{
    @Autowired
    private SjJygjgdsjMapper sjJygjgdsjMapper;

    /**
     * 查询设计-轨道设计
     * 
     * @param id 设计-轨道设计主键
     * @return 设计-轨道设计
     */
    @Override
    public SjJygjgdsj selectSjJygjgdsjById(Long id)
    {
        return sjJygjgdsjMapper.selectSjJygjgdsjById(id);
    }

    /**
     * 查询设计-轨道设计列表
     * 
     * @param sjJygjgdsj 设计-轨道设计
     * @return 设计-轨道设计
     */
    @Override
    public List<SjJygjgdsj> selectSjJygjgdsjList(SjJygjgdsj sjJygjgdsj)
    {
        return sjJygjgdsjMapper.selectSjJygjgdsjList(sjJygjgdsj);
    }

    /**
     * 新增设计-轨道设计
     * 
     * @param sjJygjgdsj 设计-轨道设计
     * @return 结果
     */
    @Override
    public int insertSjJygjgdsj(SjJygjgdsj sjJygjgdsj)
    {
        return sjJygjgdsjMapper.insertSjJygjgdsj(sjJygjgdsj);
    }

    /**
     * 修改设计-轨道设计
     * 
     * @param sjJygjgdsj 设计-轨道设计
     * @return 结果
     */
    @Override
    public int updateSjJygjgdsj(SjJygjgdsj sjJygjgdsj)
    {
        return sjJygjgdsjMapper.updateSjJygjgdsj(sjJygjgdsj);
    }

    /**
     * 批量删除设计-轨道设计
     * 
     * @param ids 需要删除的设计-轨道设计主键
     * @return 结果
     */
    @Override
    public int deleteSjJygjgdsjByIds(Long[] ids)
    {
        return sjJygjgdsjMapper.deleteSjJygjgdsjByIds(ids);
    }

    /**
     * 删除设计-轨道设计信息
     * 
     * @param id 设计-轨道设计主键
     * @return 结果
     */
    @Override
    public int deleteSjJygjgdsjById(Long id)
    {
        return sjJygjgdsjMapper.deleteSjJygjgdsjById(id);
    }
}
